pronterface-2.0.0~rc5.1522069560.e0ee40a-lp150.14.1.noarch.rpm


Advertisement

Description

pronterface - GUI interface for RepRap

Property Value
Distribution openSUSE Leap 15.0
Repository Science all
Package filename pronterface-2.0.0~rc5.1522069560.e0ee40a-lp150.14.1.noarch.rpm
Package name pronterface
Package version 2.0.0~rc5.1522069560.e0ee40a
Package release lp150.14.1
Package architecture noarch
Package type rpm
Category Productivity/Graphics/Convertors
Homepage https://github.com/kliment/Printrun
License GPL-3.0-or-later
Maintainer -
Download size 145.13 KB
Installed size 301.99 KB
Pronterface is a featured G-code sender with graphical user interface.
It controls the ReRap printer and integrates skeinforge.
It is a part of Printrun.

Alternatives

Package Version Architecture Repository
pronterface-20170720~pre.1494969671.f54b6f9-lp150.1.20.x86_64.rpm 20170720~pre.1494969671.f54b6f9 x86_64 openSUSE Oss
pronterface - - -

Requires

Name Value
/usr/bin/python3 -
pronsole = 2.0.0~rc5.1522069560.e0ee40a-lp150.14.1
python3-wxPython -

Provides

Name Value
application() -
application(pronterface.desktop) -
metainfo() -
metainfo(pronterface.appdata.xml) -
pronterface = 2.0.0~rc5.1522069560.e0ee40a-lp150.14.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package pronterface-2.0.0~rc5.1522069560.e0ee40a-lp150.14.1.noarch.rpm
Source Package Printrun-2.0.0~rc5.1522069560.e0ee40a-lp150.14.1.src.rpm

Install Howto

  1. Add the Science repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/science/openSUSE_Leap_15.0/ science
  2. Install pronterface rpm package:
    # zypper install pronterface

Files

Path
/usr/bin/pronterface.py
/usr/share/applications/pronterface.desktop
/usr/share/locale/de/LC_MESSAGES/pronterface.mo
/usr/share/locale/fr/LC_MESSAGES/pronterface.mo
/usr/share/locale/it/LC_MESSAGES/pronterface.mo
/usr/share/locale/nl/LC_MESSAGES/pronterface.mo
/usr/share/metainfo/pronterface.appdata.xml
/usr/share/pixmaps/pronterface.png
/usr/share/pronterface/locale
/usr/share/pronterface/images/arrow_down.png
/usr/share/pronterface/images/arrow_keys.png
/usr/share/pronterface/images/arrow_up.png
/usr/share/pronterface/images/control_mini.png
/usr/share/pronterface/images/control_mini.svg
/usr/share/pronterface/images/control_xy.png
/usr/share/pronterface/images/control_xy.svg
/usr/share/pronterface/images/control_z.png
/usr/share/pronterface/images/control_z.svg
/usr/share/pronterface/images/control_z_mini.png
/usr/share/pronterface/images/control_z_mini.svg
/usr/share/pronterface/images/edit.png
/usr/share/pronterface/images/fit.png
/usr/share/pronterface/images/inject.png
/usr/share/pronterface/images/reset.png
/usr/share/pronterface/images/zoom_in.png
/usr/share/pronterface/images/zoom_out.png

Changelog

2018-10-30 - Adrian Schröter <adrian@suse.de>
- fix dependency to python3 modules (esp. wxWidgets)
2018-07-17 - stefan.bruens@rwth-aachen.de
- Spec file fixes/cleanup:
* Use python3, python2 is no longer supported by Printrun
* Add missing setuptools dependency
* Remove %defattr
* Tag COPYING with %license, and only package it in common subpackage
- Drop obsolete Printrun-pyglet12.patch
2018-04-10 - adrian@suse.de
- update to 2.0.0rc5
2017-06-21 - adrian@suse.de
- use upstream version scheme
2017-06-02 - adrian@suse.de
- update to current code
- hack around to get it building
2013-08-06 - jw@suse.com
- fixed desktop Categories
according to http://en.opensuse.org/openSUSE:Packaging_desktop_menu_categories#Graphics
- fixed specfile:
* chosen a valid group, instead of an invalid one
* added the default defattr() line, (which is still needed explicitly even after so many years)
* fixed license syntax.

See Also

Package Description
ptscotch-mpich-6.0.6-lp150.10.1.x86_64.rpm Graph, mesh and hypergraph partitioning library
ptscotch-mpich-devel-6.0.6-lp150.10.1.x86_64.rpm Development libraries for scotch
ptscotch-mpich-devel-static-6.0.6-lp150.10.1.x86_64.rpm Development libraries for scotch
ptscotch-mvapich2-6.0.6-lp150.10.1.x86_64.rpm Graph, mesh and hypergraph partitioning library
ptscotch-mvapich2-devel-6.0.6-lp150.10.1.x86_64.rpm Development libraries for scotch
ptscotch-mvapich2-devel-static-6.0.6-lp150.10.1.x86_64.rpm Development libraries for scotch
ptscotch-openmpi-6.0.6-lp150.10.1.x86_64.rpm Graph, mesh and hypergraph partitioning library
ptscotch-openmpi-devel-6.0.6-lp150.10.1.x86_64.rpm Development libraries for scotch
ptscotch-openmpi-devel-static-6.0.6-lp150.10.1.x86_64.rpm Development libraries for scotch
ptscotch-openmpi2-6.0.6-lp150.10.1.x86_64.rpm Graph, mesh and hypergraph partitioning library
ptscotch-openmpi2-devel-6.0.6-lp150.10.1.x86_64.rpm Development libraries for scotch
ptscotch-openmpi2-devel-static-6.0.6-lp150.10.1.x86_64.rpm Development libraries for scotch
ptscotch-parmetis-mpich-devel-6.0.6-lp150.10.1.x86_64.rpm Development libraries for scotch
ptscotch-parmetis-mvapich2-devel-6.0.6-lp150.10.1.x86_64.rpm Development libraries for scotch
ptscotch-parmetis-openmpi-devel-6.0.6-lp150.10.1.x86_64.rpm Development libraries for scotch
Advertisement
Advertisement